---
lang: en
title: 'API docs: repository.hasonerepositoryfactory'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/repository
permalink: /doc/en/lb4/apidocs.repository.hasonerepositoryfactory.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [HasOneRepositoryFactory](./repository.hasonerepositoryfactory.md)

## HasOneRepositoryFactory interface

<b>Signature:</b>

```typescript
export interface HasOneRepositoryFactory<Target extends Entity, ForeignKeyType> 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [inclusionResolver](./repository.hasonerepositoryfactory.inclusionresolver.md) | <code>InclusionResolver&lt;Entity, Target&gt;</code> | Use <code>resolver</code> property to obtain an InclusionResolver for this relation. |


